$(document).ready(function(){
						   
	$('#ddlParentAgent').change(function(){
		$.ajax({
			url:'Agent.aspx?&NoCopyRight=1&type=GetAgentLevel&ParentAgentID=' + $('#ddlParentAgent').val() + '&ts=' + Math.random(), 
			cache:false,
			success:function(data){
				if(!checkLoginStatus(data)){return false;}//是否要重新登陆
				if(data != '')
				{
					//$('#ddlAgentLevel option').remove();
					//5^金牌代销员,6^银牌代销员,7^铜牌代销员,8^铁牌代销员
					var a = data.split(',');
					for(var i = 0; i < a.length; i++)
					{
						var b = a[i].split('^');
						//document.getElementById('ddlAgentLevel').options.add(new Option(b[1].toString(),b[0].toString()));
						$('#ddlAgentLevel').html(data);
					}
				}
				else
				{
					alert('操作错误！');
				}
			},
			error:function(){alert('error');}
		});
	});
	
	$('#ddlAgentLevel').change(function(){
		$.ajax({
			url:'Agent.aspx?NoCopyRight=1&type=GetParentAgent&AgentLevelID=' + $(this).val() + '&ts=' + Math.random(), 
			cache:false,
			success:function(data){
				if(!checkLoginStatus(data)){return false;}//是否要重新登陆
				$('#ddlParentAgent option').eq(0).nextAll().remove();
				if(data != '')
				{
					$('#ddlParentAgent').append(data);
				}
			},
			error:function(){alert('error');}
		});
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
});

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}